Method: projects.locations.collections.engines.sessions.removeContextFile

從工作階段中移除內容檔案。

HTTP 要求


POST https://discoveryengine.googleapis.com/v1alpha/{name=projects/*/locations/*/collections/*/engines/*/sessions/*}:removeContextFile

這些網址使用 gRPC 轉碼語法。

路徑參數

參數
name

string

這是必要旗標,工作階段名稱。

格式:projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/sessions/{session}

要求主體

要求主體包含下列結構的資料:

JSON 表示法
{
  "fileId": string,
  "metadata": {
    string: string,
    ...
  }
}
欄位
fileId

string

這是必要旗標,脈絡資料檔案的 ID。

metadata

map (key: string, value: string)

選用。用戶端提供的檔案中繼資料。鏡像顯示 UploadSessionFileRequest 上的 metadata 地圖。金鑰遵循 AIP-148 形狀 (小寫英文字母、數字、-;不得有點或 DNS 樣式的命名空間前置字元)。目前用於傳送 Sobi 使用者提供的構件分支 (sobi-scope = SOBI_ARTIFACT),因為刪除作業是在任何工作階段環境外進行,因此會攜帶 sobi-agent-id、sobi-task-id 和 sobi-filename off-URL。

回應主體

如果成功,回應主體會是空白。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

詳情請參閱Authentication Overview。

IAM 權限

需要 name 資源的下列 IAM 權限:

  • discoveryengine.sessions.removeContextFile

詳情請參閱 IAM 說明文件。